# Uses of Class
org.apache.lucene.util.hnsw.HnswGraphBuilder.GraphBuilderKnnCollector

Packages that use HnswGraphBuilder.GraphBuilderKnnCollector
Package
Description
org.apache.lucene.util.hnsw
Navigable Small-World graph, nominally Hierarchical but currently only has a single layer.

- ## Uses of HnswGraphBuilder.GraphBuilderKnnCollector in org.apache.lucene.util.hnsw

  Methods in org.apache.lucene.util.hnsw that return HnswGraphBuilder.GraphBuilderKnnCollector
  Modifier and Type
  Method
  Description
  `HnswGraphBuilder.GraphBuilderKnnCollector`
  HnswGraphSearcher.`searchLevel(RandomVectorScorer scorer, int topK, int level, int[] eps, HnswGraph graph)`
  Searches for the nearest neighbors of a query vector in a given level.